
-- leave me
	local actor = ACTOR_preload()
-- leave me

	actor[cp_actor_name]			= format( "breakbrick_move%s", multiple_colour_name )
	actor[cp_model_dir]				= "beasties"
	actor[cp_model_name]			= "brick-1"

	actor[cp_remove_between_stage]	= 1

	if brick_colour_tables ~= nil then
		actor[cp_launch_hue_shift]		= brick_colour_tables[use_multiple_colour+1]
	end

	actor[cp_target_stop_dist]		= 3.0

	actor[cp_move_type]				= cmt_track_z

	actor[cp_actor_type]			= cat_block + cat_beastie
	actor[cp_these_collide_with_me]	= cat_bullet + cat_crystal

	actor[cp_hit_delay]			= 1.5

	actor[cp_score]				= 2
	actor[cp_egg_count]			= 1

	actor[cp_launch_scale_min]		= 64.0
	actor[cp_launch_scale_max]		= 64.0

	-- movement
	actor[cp_turn_lock_angle_inner]		= 45.0
	actor[cp_turn_lock_angle_outer]		= 90.0

	
	actor[cp_move_speed_min]		= 0.03
	actor[cp_move_speed_max]		= 0.03
	actor[cp_move_acceleration]		= 0.01
	actor[cp_move_deceleration]		= 0.01
	actor[cp_move_inertia_accn]		= 0.99
	actor[cp_move_inertia_decn]		= 0.99

	actor[cp_add_to_launcher]		= 1

	actor[cp_turn_speed_still]			= 5.0
	actor[cp_turn_acceleration_still]	= 0.5
	actor[cp_turn_inertia_still]		= 0.95
	actor[cp_turn_speed_moving]			= 1.0
	actor[cp_turn_acceleration_moving]	= 0.5
	actor[cp_turn_inertia_moving]		= 0.95

-- leave me
	c_preload_model( actor )
-- leave me

--	c_set_random_anim( "walk", 80.0, 80.0, 0.0, 0.0 )

	c_add_particle_to_anim( "emerge", "partbone", "brick-emerge" )
	c_add_particle_to_anim( "emerge", "partbone", "brick-emerge-twinkle" )	

	c_add_particle_to_anim( "byebye", "partbone", "brick-byebye-puff" )
	c_add_particle_to_anim( "byebye", "partbone", "brick-byebye-twinkle" )
--	c_add_particle_to_anim( "byebye", "partbone", "brick-byebye" )

	c_add_sound_to_anim( "byebye", "brickinvaders_brick_explode", 1.0 )

	local mutt_name = format( "smoke-ring+%s", multiple_colour_name )
	c_set_use_explosion_for( "walk", mutt_name, "", exp_no_align, 0.0, 0.0, 1500.0, 1500.0, 1.0, {0.0} )
	c_set_use_explosion_for( "walk", mutt_name, "", exp_no_align, 0.0, 0.0, 1500.0, 1500.0, 3.0, {0.0} )

	c_set_use_explosion_for( "bye_bye", mutt_name, exp_no_align, 0.0, 0.0, 3000.0, 3000.0, {0.0} )

	c_add_shadow_to_bone( "bone_x", 10.0 )

	use_multiple_colour = 2


